<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">


<xsd:include schemaLocation="common_trans_obj.xsd"/>

	<xsd:element name="LECTURE_MODE" type="LectureModeContent"/>
	<xsd:element name="TIMER" type="xsd:boolean" default="false"/>
	<xsd:element name="INTERVAL" type="xsd:integer" default="15"/>
	<xsd:element name="AUDIO_ACTIVATED" type="xsd:boolean"  default="true"/>
	<xsd:element name="LECTURE_NAME" type="xsd:string"/>
	<xsd:element name="LECTURE_MODE_TYPE" type="LectureModeType"/>
	<xsd:element name="LECTURE_ID" type="xsd:integer"/>


	<xsd:complexType name="LectureModeContent">
		<xsd:sequence>
			<xsd:element ref="ON" minOccurs="0"/>				<!--Obsolete -->
			<xsd:element ref="TIMER" minOccurs="0"/>
			<xsd:element ref="INTERVAL" minOccurs="0"/>			<!--not supported - fixed value of 15-->
			<xsd:element ref="AUDIO_ACTIVATED" minOccurs="0"/>	<!--not supported - fixed value of true-->
			<xsd:element ref="LECTURE_NAME" minOccurs="0"/>
			<xsd:element ref="LECTURE_MODE_TYPE" minOccurs="0"/>
			<xsd:element ref="LECTURE_ID" minOccurs="0"/>		<!--not supported - the system sets the field value-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="LectureModeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="lecture_none"/>
			<xsd:enumeration value="lecture_mode"/>
			<xsd:enumeration value="lecture_show"/>				<!--not supported-->
			<xsd:enumeration value="lecture_presentation"/>
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
